Appearance
任务删除
接口信息
- 接口:
/agent-api/user/{user_id}/task/{task_id} - 请求方式:
DELETE
路由参数
| 参数 | 类型 | 示例 | 解释 | 必填 |
|---|---|---|---|---|
| user_id | string | 5832d184-dd53-42a0-8ace-0bf8d660f4cc | 用户 id | 是 |
| task_id | string | f232d184-dd54-42a0-8ace-0bf8d660f4cc | 任务 id | 是 |
请求参数
| 参数 | 类型 | 示例 | 解释 | 必填 |
|---|---|---|---|---|
| sub_user_id | string | 876e5d57-fd76-4109-8b15-6726f1ec2dfa | 子账户 id(传递此参数则是对子账户操作) | 否 |
请求示例
cURL
curl -X DELETE "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc?sub_user_id=876e5d57-fd76-4109-8b15-6726f1ec2dfa" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_TOKEN"Go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc?sub_user_id=876e5d57-fd76-4109-8b15-6726f1ec2dfa"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_TOKEN")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}JavaScript
const userId = "5832d184-dd53-42a0-8ace-0bf8d660f4cc";
const taskId = "f232d184-dd54-42a0-8ace-0bf8d660f4cc";
const subUserId = "876e5d57-fd76-4109-8b15-6726f1ec2dfa";
const url = `https://ai.api.longlonglong.cn/agent-api/user/${userId}/task/${taskId}?sub_user_id=${subUserId}`;
fetch(url, {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_TOKEN"
}
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error("Error:", error));Java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc?sub_user_id=876e5d57-fd76-4109-8b15-6726f1ec2dfa";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Content-Type", "application/json")
.header("Authorization", "Bearer YOUR_TOKEN")
.DELETE()
.build();
HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}PHP
<?php
$userId = "5832d184-dd53-42a0-8ace-0bf8d660f4cc";
$taskId = "f232d184-dd54-42a0-8ace-0bf8d660f4cc";
$subUserId = "876e5d57-fd76-4109-8b15-6726f1ec2dfa";
$url = "https://ai.api.longlonglong.cn/agent-api/user/{$userId}/task/{$taskId}?sub_user_id={$subUserId}";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json',
'Authorization: Bearer YOUR_TOKEN'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;Python
import requests
user_id = "5832d184-dd53-42a0-8ace-0bf8d660f4cc"
task_id = "f232d184-dd54-42a0-8ace-0bf8d660f4cc"
sub_user_id = "876e5d57-fd76-4109-8b15-6726f1ec2dfa"
url = f"https://ai.api.longlonglong.cn/agent-api/user/{user_id}/task/{task_id}"
params = {
"sub_user_id": sub_user_id
}
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.delete(url, params=params, headers=headers)
print(response.json())C++
#include <iostream>
#include <string>
#include <curl/curl.h>
size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
((std::string*)userp)->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl;
CURLcode res;
std::string readBuffer;
curl = curl_easy_init();
if(curl) {
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");
curl_easy_setopt(curl, CURLOPT_URL, "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc?sub_user_id=876e5d57-fd76-4109-8b15-6726f1ec2dfa");
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);
res = curl_easy_perform(curl);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
if(res != CURLE_OK)
fprintf(stderr, "curl_easy_perform() failed: %s\n", curl_easy_strerror(res));
else
std::cout << readBuffer << std::endl;
}
return 0;
}返回结果
json
{
"code": 200,
"status": "success",
"message": "删除成功"
}